local function defaultValue(L, key)
	return key;
end

if MissionMinder == nil then
	MissionMinder = {}
end
MissionMinder.Localization = setmetatable({}, {__index=defaultValue});


local L = MissionMinder.Localization;

function MissionMinder:registerLocale(locale, tbl)
	if locale == nil or GetLocale() == locale then
		for key,value in pairs(tbl) do
			if value == true then
				L[key] = key;
			elseif type(value) == "string" then
				L[key] = value
			else
				L[key] = key;
			end
		end
	end
end